com.amazonaws.services.cloudfront.model

## Class CreateInvalidationRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.cloudfront.model.CreateInvalidationRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateInvalidationRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

The request to create an invalidation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateInvalidationRequest()` Default constructor for CreateInvalidationRequest object.
`CreateInvalidationRequest(String distributionId, InvalidationBatch invalidationBatch)` Constructs a new CreateInvalidationRequest object.

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateInvalidationRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDistributionId()` The distribution's id.
`InvalidationBatch` `getInvalidationBatch()` The batch information for the invalidation.
`int` `hashCode()`
`void` `setDistributionId(String distributionId)` The distribution's id.
`void` `setInvalidationBatch(InvalidationBatch invalidationBatch)` The batch information for the invalidation.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateInvalidationRequest` `withDistributionId(String distributionId)` The distribution's id.
`CreateInvalidationRequest` `withInvalidationBatch(InvalidationBatch invalidationBatch)` The batch information for the invalidation.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateInvalidationRequest

    public CreateInvalidationRequest()

Default constructor for CreateInvalidationRequest object. Callers should use the setter or fluent setter (with...) methods to initialize the object after creating it.

#### CreateInvalidationRequest

    public CreateInvalidationRequest(String distributionId,
                                     InvalidationBatch invalidationBatch)

Constructs a new CreateInvalidationRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Parameters:
  `distributionId` - The distribution's id.
  `invalidationBatch` - The batch information for the invalidation.

### Method Detail

#### setDistributionId

    public void setDistributionId(String distributionId)

The distribution's id.

Parameters:
  `distributionId` - The distribution's id.

#### getDistributionId

    public String getDistributionId()

The distribution's id.

Returns:
  The distribution's id.

#### withDistributionId

    public CreateInvalidationRequest withDistributionId(String distributionId)

The distribution's id.

Parameters:
  `distributionId` - The distribution's id.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInvalidationBatch

    public void setInvalidationBatch(InvalidationBatch invalidationBatch)

The batch information for the invalidation.

Parameters:
  `invalidationBatch` - The batch information for the invalidation.

#### getInvalidationBatch

    public InvalidationBatch getInvalidationBatch()

The batch information for the invalidation.

Returns:
  The batch information for the invalidation.

#### withInvalidationBatch

    public CreateInvalidationRequest withInvalidationBatch(InvalidationBatch invalidationBatch)

The batch information for the invalidation.

Parameters:
  `invalidationBatch` - The batch information for the invalidation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateInvalidationRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`